Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlP5Base

    java.lang.Object
      controlP5.ControlP5Base

All Implemented Interfaces:
  ControlP5Constants

Direct Known Subclasses:
  ControlP5

    public class ControlP5Base

extends java.lang.Object
implements ControlP5Constants

The ControlP5Base supports the ControlP5 class and implements all adder methods to add controllers to controlP5.

Field Summary

Fields inherited from interface controlP5.ControlP5Constants
`acceptClassList, ACTION_BROADCAST, ACTION_ENTER, ACTION_LEAVE, ACTION_PRESSED, ACTION_RELEASED, ACTION_RELEASEDOUTSIDE, ACTIVE, ALL, ALT, ARC, ARRAY, BACKSPACE, BASELINE, BITFONT, BOOLEAN, BOTTOM, BOTTOM_OUTSIDE, CAPTIONLABEL, CENTER, COMMANDKEY, CONTROL, controlEventClass, CUSTOM, DECREASE, DEFAULT, DELETE, DONE, DOWN, ELLIPSE, ENTER, ESCAPE, EVENT, eventMethod, FADEIN, FADEOUT, FIELD, FLOAT, HALF_PI, HIDE, HIGHLIGHT, HORIZONTAL, IDLE, IMAGE, INACTIVE, INCREASE, INTEGER, INVALID, KEYCONTROL, LEFT, LEFT_OUTSIDE, LINE, LOAD, MENU, METHOD, MOVE, MULTI, MULTIPLES, OVER, PI, PRESSED, PRINT, RELEASE, RESET, RIGHT, RIGHT_OUTSIDE, SAVE, SHIFT, SINGLE, SINGLE_COLUMN, SINGLE_ROW, SPRITE, STRING, SWITCH, SWITCH_BACK, SWITCH_FORE, TAB, TOP, TOP_OUTSIDE, TRANSITION_WAIT_FADEIN, TWO_PI, UP, VALUELABEL, VERBOSE, VERTICAL, WAIT`

Constructor Summary
`ControlP5Base()`

Method Summary
`Accordion` | `addAccordion(java.lang.String theName)`
`Accordion` | `addAccordion(java.lang.String theName, int theX, int theY, int theWidth)`
`Bang` | `addBang(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Bang` | `addBang(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
`Bang` | `addBang(java.lang.String theName)`
`Bang` | `addBang(java.lang.String theName, int theX, int theY)`
`Bang` | `addBang(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
`Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue)`
`Button` | `addButton(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)`
`Button` | `addButton(java.lang.String theName)` Adds a default Button, the default value is 1, width and height are set to the default values of Button.autoWidth and Button.autoHeight
`Button` | `addButton(java.lang.String theName, float theValue)`
`Button` | `addButton(java.lang.String theName, float theValue, int theX, int theY, int theW, int theH)`
`Chart` | `addChart(java.lang.String theName)`
`Chart` | `addChart(java.lang.String theName, int theX, int theY, int theW, int theH)` adds chart support to display float array based data.
`CheckBox` | `addCheckBox(java.lang.String theName)` Use a checkbox for single choice options
`CheckBox` | `addCheckBox(java.lang.String theName, int theX, int theY)`
`ColorPicker` | `addColorPicker(java.lang.String theName)`
`ColorPicker` | `addColorPicker(java.lang.String theName, int theX, int theY, int theW, int theH)` adds a simple RGBA colorpicker.
`java.lang.Object` | `addController(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.Class theClass, int theX, int theY)` Adds Controllers by Object reference, currently supports Slider, Bang, Button, Knob, Numberbox, Toggle, Textlabel, Textfield, Range, Slider2D.
`java.lang.Object` | `addController(java.lang.String theName, java.lang.Class theClass, int theX, int theY)`
`ControlP5Base` | `addControllersFor(processing.core.PApplet theApplet)`
`ControlP5Base` | `addControllersFor(java.lang.String theAddressSpace, java.lang.Object t)` Adds controllers for a specific object using annotations.
`ControlWindow` | `addControlWindow(java.lang.String theName)`
`ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theWidth, int theHeight)`
`ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theX, int theY, int theWidth, int theHeight)`
`ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theX, int theY, int theWidth, int theHeight, int theFrameRate)`
`ControlWindow` | `addControlWindow(java.lang.String theWindowName, int theX, int theY, int theWidth, int theHeight, java.lang.String theRenderer, int theFrameRate)` create an additional ControlWindow in a separate window frame.
`DropdownList` | `addDropdownList(java.lang.String theName)`
`DropdownList` | `addDropdownList(java.lang.String theName, int theX, int theY, int theW, int theH)`
`Group` | `addGroup(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW)` A controller group can be used to group controllers for a better organization of single controllers.
`Group` | `addGroup(java.lang.String theName)`
`Group` | `addGroup(java.lang.String theName, int theX, int theY)`
`Group` | `addGroup(java.lang.String theName, int theX, int theY, int theW)`
`Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theDiameter)` Knobs can use limited and endless revolutions, custom angles and starting points.
`Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theDiameter)`
`Knob` | `addKnob(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theMin, int theMax)`
`Knob` | `addKnob(java.lang.String theName)`
`Knob` | `addKnob(java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theDiameter)`
`Knob` | `addKnob(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theDiameter)`
`Knob` | `addKnob(java.lang.String theName, int theMin, int theMax)`
`ListBox` | `addListBox(java.lang.String theName)`
`ListBox` | `addListBox(java.lang.String theName, int theX, int theY, int theW, int theH)` A list box is a list of items a user can choose from.
`Matrix` | `addMatrix(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theCellX, int theCellY, int theX, int theY, int theWidth, int theHeight)` Matrix is a 2-D matrix controller using toggle controllers in a rows and a columns setup.
`Matrix` | `addMatrix(java.lang.String theName)`
`Matrix` | `addMatrix(java.lang.String theName, int theCellX, int theCellY, int theX, int theY, int theWidth, int theHeight)`
`MultiList` | `addMultiList(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)` Multilist is a tree like menu.
`MultiList` | `addMultiList(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
`Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theDefaultValue, int theX, int theY, int theWidth, int theHeight)`
`Numberbox` | `addNumberbox(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
`Numberbox` | `addNumberbox(java.lang.String theName)`
`Numberbox` | `addNumberbox(java.lang.String theName, float theDefaultValue, int theX, int theY, int theWidth, int theHeight)`
`Numberbox` | `addNumberbox(java.lang.String theName, int theX, int theY, int theWidth, int theHeight)`
`RadioButton` | `addRadio(java.lang.String theName)` Use radio buttons for multiple choice options.
`RadioButton` | `addRadio(java.lang.String theName, int theX, int theY)`
`RadioButton` | `addRadioButton(java.lang.String theName)` Use radio buttons for multiple choice options.
`RadioButton` | `addRadioButton(java.lang.String theName, int theX, int theY)`
`Range` | `addRange(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultMinValue, float theDefaultMaxValue, int theX, int theY, int theW, int theH)` A range controller, a slider that allows control on both ends of the slider.
`Range` | `addRange(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
`Range` | `addRange(java.lang.String theName)`
`Range` | `addRange(java.lang.String theName, float theMin, float theMax, float theDefaultMinValue, float theDefaultMaxValue, int theX, int theY, int theW, int theH)`
`Range` | `addRange(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
`Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax)`
`Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theW, int theH)` Adds a slider to controlP5.
`Slider` | `addSlider(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMin, float theMax, int theX, int theY, int theW, int theH)`
`Slider` | `addSlider(java.lang.String theName)` Adds a default slider with a default width of 100 and height of 10.
`Slider` | `addSlider(java.lang.String theName, float theMin, float theMax)`
`Slider` | `addSlider(java.lang.String theName, float theMin, float theMax, float theDefaultValue, int theX, int theY, int theW, int theH)`
`Slider` | `addSlider(java.lang.String theName, float theMin, float theMax, int theX, int theY, int theWidth, int theHeight)`
`Slider2D` | `addSlider2D(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theMinX, float theMaxX, float theMinY, float theMaxY, float theDefaultValueX, float theDefaultValueY, int theX, int theY, int theW, int theH)` Adds a 2D slider to controlP5.
`Slider2D` | `addSlider2D(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)`
`Slider2D` | `addSlider2D(java.lang.String theName)`
`Slider2D` | `addSlider2D(java.lang.String theName, float theMinX, float theMaxX, float theMinY, float theMaxY, float theDefaultValueX, float theDefaultValueY, int theX, int theY, int theW, int theH)`
`Slider2D` | `addSlider2D(java.lang.String theName, int theX, int theY, int theW, int theH)`
`Tab` | `addTab(ControlWindow theWindow, java.lang.String theName)`
`Tab` | `addTab(processing.core.PApplet theWindow, java.lang.String theName)`
`Tab` | `addTab(java.lang.String theName)`
`Textarea` | `addTextarea(java.lang.String theName)`
`Textarea` | `addTextarea(java.lang.String theName, java.lang.String theText, int theX, int theY, int theW, int theH)` A Textarea is a label without any controller functionality and can be used to leave notes, headlines, etc when extending the dedicated area of the Textrea, a scrollbar is added on the right.
`Textfield` | `addTextfield(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Textfield` | `addTextfield(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, int theX, int theY, int theW, int theH)` A Textfield allows single line text input.
`Textfield` | `addTextfield(java.lang.String theIndex)`
`Textfield` | `addTextfield(java.lang.String theName, int theX, int theY, int theW, int theH)`
`Textlabel` | `addTextlabel(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.String theText)`
`Textlabel` | `addTextlabel(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, java.lang.String theText, int theX, int theY)`
`Textlabel` | `addTextlabel(java.lang.String theName)`
`Textlabel` | `addTextlabel(java.lang.String theName, java.lang.String theText)`
`Textlabel` | `addTextlabel(java.lang.String theName, java.lang.String theText, int theX, int theY)`
`Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName)`
`Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, boolean theValue)`
`Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, boolean theDefaultValue, float theX, float theY, int theWidth, int theHeight)`
`Toggle` | `addToggle(java.lang.Object theObject, java.lang.String theIndex, java.lang.String theName, float theX, float theY, int theWidth, int theHeight)`
`Toggle` | `addToggle(java.lang.String theName)` Adds a default Toggle, the default value is false, width and height are set to the default values of Toggle.autoWidth and Toggle.autoHeight
`Toggle` | `addToggle(java.lang.String theName, boolean theValue)`
`Toggle` | `addToggle(java.lang.String theName, boolean theDefaultValue, float theX, float theY, int theWidth, int theHeight)`
`Toggle` | `addToggle(java.lang.String theName, float theX, float theY, int theWidth, int theHeight)`
`Tooltip` | `addTooltip()`
`Controller` | `getController(java.lang.String theName, java.lang.Object theObject)`
`Tab` | `getDefaultTab()`
`controlP5.ControllerLayout` | `getLayout()`
`java.lang.Object` | `getObjectForController(ControllerInterface theController)`
`ControllerProperties` | `getProperties()`
`static java.util.Set` | `getPublicMethodsFor(java.lang.Class theClass)`
`static java.util.Set` | `getPublicMethodsFor(java.lang.Class theClass, boolean theFlag)`
`static java.util.Set` | `getPublicMethodsFor(java.lang.Class theClass, boolean isSuperclass, java.lang.String[] thePattern)`
`static java.util.Set` | `getPublicMethodsFor(java.lang.Class theClass, java.lang.String[] thePattern)`
`Textlabel` | `getTextlabel()`
`Textlabel` | `getTextlabel(java.lang.String theText, int theX, int theY)`
`ControlP5Base` | `hide(java.lang.Object theObject)`
`ControlP5Base` | `listenTo(java.lang.String theFieldName, java.lang.Object theObject)`
`ControlP5` | `mapKeyFor(ControlKey theKey, int[] theChar)`
`ControlP5Base` | `moveTo(ControllerGroup theController, java.lang.Object theObject)`
`static void` | `printPublicMethodsFor(java.lang.Class theClass)`
`static void` | `printPublicMethodsFor(java.lang.Class theClass, java.lang.String[] thePattern)` prints a list of public methods of requested class into the console.
`ControlP5Base` | `remove(java.lang.Object theObject)`
`ControlP5` | `removeKeyFor(ControlKey theKey, int[] theChar)`
`ControlP5` | `removeKeysFor(int[] theChar)`
`void` | `removeProperty(ControllerInterface theController)`
`void` | `setAutoAddDirection(int theDirection)`
`void` | `setAutoSpacing()`
`void` | `setAutoSpacing(float theX)`
`void` | `setAutoSpacing(float theX, float theY)`
`void` | `setAutoSpacing(float theX, float theY, float theZ)`
`ControlP5Base` | `setColor(CColor theColor, java.lang.Object theObject)`
`ControlP5Base` | `setPosition(int theX, int theY, java.lang.Object o)`
`ControlP5Base` | `show(java.lang.Object theObject)`
`ControlP5Base` | `stopListeningTo(java.lang.String theFieldName, java.lang.Object theObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlP5Base

    public ControlP5Base()

Method Detail

### addAccordion

    public Accordion addAccordion(java.lang.String theName)

### addAccordion

    public Accordion addAccordion(java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theWidth)

### addBang

    public Bang addBang(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName)

### addBang

    public Bang addBang(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName,
                        int theX,
                        int theY,
                        int theWidth,
                        int theHeight)

### addBang

    public Bang addBang(java.lang.String theName)

### addBang

    public Bang addBang(java.lang.String theName,
                        int theX,
                        int theY)

### addBang

    public Bang addBang(java.lang.String theName,
                        int theX,
                        int theY,
                        int theWidth,
                        int theHeight)

### addButton

    public Button addButton(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName)

### addButton

    public Button addButton(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theValue)

### addButton

    public Button addButton(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theValue,
                            int theX,
                            int theY,
                            int theW,
                            int theH)

### addButton

    public Button addButton(java.lang.String theName)

  Adds a default Button, the default value is 1, width and height are set to the default values of Button.autoWidth and Button.autoHeight

### addButton

    public Button addButton(java.lang.String theName,
                            float theValue)

### addButton

    public Button addButton(java.lang.String theName,
                            float theValue,
                            int theX,
                            int theY,
                            int theW,
                            int theH)

### addChart

    public Chart addChart(java.lang.String theName)

### addChart

    public Chart addChart(java.lang.String theName,
                          int theX,
                          int theY,
                          int theW,
                          int theH)

  adds chart support to display float array based data.

### addCheckBox

    public CheckBox addCheckBox(java.lang.String theName)

  Use a checkbox for single choice options

### addCheckBox

    public CheckBox addCheckBox(java.lang.String theName,
                                int theX,
                                int theY)

### addColorPicker

    public ColorPicker addColorPicker(java.lang.String theName)

### addColorPicker

    public ColorPicker addColorPicker(java.lang.String theName,
                                      int theX,
                                      int theY,
                                      int theW,
                                      int theH)

  adds a simple RGBA colorpicker.

### addController

    public java.lang.Object addController(java.lang.Object theObject,
                                          java.lang.String theIndex,
                                          java.lang.String theName,
                                          java.lang.Class theClass,
                                          int theX,
                                          int theY)

  Adds Controllers by Object reference, currently supports Slider, Bang, Button, Knob, Numberbox, Toggle, Textlabel, Textfield, Range, Slider2D. For internal use rather than on application level.

### addController

    public java.lang.Object addController(java.lang.String theName,
                                          java.lang.Class theClass,
                                          int theX,
                                          int theY)

### addControllersFor

    public ControlP5Base addControllersFor(processing.core.PApplet theApplet)

### addControllersFor

    public ControlP5Base addControllersFor(java.lang.String theAddressSpace,
                                           java.lang.Object t)

  Adds controllers for a specific object using annotations.

  Uses a forward slash delimited address, for example:

  lets say the theAddressSpace parameter is set to "hello", and the Object (second parameter) contains an annotated field "x", addControllersFor("hello", o); will add a controller for field x with address /hello/x This address can be used with getController("/hello/x") to access the controller of that particular Object and field.

### addControlWindow

    public ControlWindow addControlWindow(java.lang.String theName)

### addControlWindow

    public ControlWindow addControlWindow(java.lang.String theWindowName,
                                          int theWidth,
                                          int theHeight)

### addControlWindow

    public ControlWindow addControlWindow(java.lang.String theWindowName,
                                          int theX,
                                          int theY,
                                          int theWidth,
                                          int theHeight)

### addControlWindow

    public ControlWindow addControlWindow(java.lang.String theWindowName,
                                          int theX,
                                          int theY,
                                          int theWidth,
                                          int theHeight,
                                          int theFrameRate)

### addControlWindow

    public ControlWindow addControlWindow(java.lang.String theWindowName,
                                          int theX,
                                          int theY,
                                          int theWidth,
                                          int theHeight,
                                          java.lang.String theRenderer,
                                          int theFrameRate)

  create an additional ControlWindow in a separate window frame.

### addDropdownList

    public DropdownList addDropdownList(java.lang.String theName)

### addDropdownList

    public DropdownList addDropdownList(java.lang.String theName,
                                        int theX,
                                        int theY,
                                        int theW,
                                        int theH)

### addGroup

    public Group addGroup(java.lang.Object theObject,
                          java.lang.String theIndex,
                          java.lang.String theName,
                          int theX,
                          int theY,
                          int theW)

  A controller group can be used to group controllers for a better organization of single controllers.

### addGroup

    public Group addGroup(java.lang.String theName)

### addGroup

    public Group addGroup(java.lang.String theName,
                          int theX,
                          int theY)

### addGroup

    public Group addGroup(java.lang.String theName,
                          int theX,
                          int theY,
                          int theW)

### addKnob

    public Knob addKnob(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName)

### addKnob

    public Knob addKnob(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName,
                        float theMin,
                        float theMax,
                        float theDefaultValue,
                        int theX,
                        int theY,
                        int theDiameter)

  Knobs can use limited and endless revolutions, custom angles and starting points. There are 2 control areas for a knob, an area closer to the edge allows 'click-and-adjust' control, a click and drag action at the inside allows to gradually change the value of a know when dragged. A knob can be controller by mouse click, drag or mouse-wheel.

### addKnob

    public Knob addKnob(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName,
                        float theMin,
                        float theMax,
                        int theX,
                        int theY,
                        int theDiameter)

### addKnob

    public Knob addKnob(java.lang.Object theObject,
                        java.lang.String theIndex,
                        java.lang.String theName,
                        int theMin,
                        int theMax)

### addKnob

    public Knob addKnob(java.lang.String theName)

### addKnob

    public Knob addKnob(java.lang.String theName,
                        float theMin,
                        float theMax,
                        float theDefaultValue,
                        int theX,
                        int theY,
                        int theDiameter)

### addKnob

    public Knob addKnob(java.lang.String theName,
                        float theMin,
                        float theMax,
                        int theX,
                        int theY,
                        int theDiameter)

### addKnob

    public Knob addKnob(java.lang.String theName,
                        int theMin,
                        int theMax)

### addListBox

    public ListBox addListBox(java.lang.String theName)

### addListBox

    public ListBox addListBox(java.lang.String theName,
                              int theX,
                              int theY,
                              int theW,
                              int theH)

  A list box is a list of items a user can choose from. When items exceed the dedicated area of a list box, a scrollbar is added to the right of the box. the Box can be navigated using mouse click, drag and the mouse-wheel.

### addMatrix

    public Matrix addMatrix(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            int theCellX,
                            int theCellY,
                            int theX,
                            int theY,
                            int theWidth,
                            int theHeight)

  Matrix is a 2-D matrix controller using toggle controllers in a rows and a columns setup. useful for software drum machines.

### addMatrix

    public Matrix addMatrix(java.lang.String theName)

### addMatrix

    public Matrix addMatrix(java.lang.String theName,
                            int theCellX,
                            int theCellY,
                            int theX,
                            int theY,
                            int theWidth,
                            int theHeight)

### addMultiList

    public MultiList addMultiList(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

  Multilist is a tree like menu.

### addMultiList

    public MultiList addMultiList(java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

### addNumberbox

    public Numberbox addNumberbox(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName)

### addNumberbox

    public Numberbox addNumberbox(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  float theDefaultValue,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

### addNumberbox

    public Numberbox addNumberbox(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

### addNumberbox

    public Numberbox addNumberbox(java.lang.String theName)

### addNumberbox

    public Numberbox addNumberbox(java.lang.String theName,
                                  float theDefaultValue,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

### addNumberbox

    public Numberbox addNumberbox(java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theWidth,
                                  int theHeight)

### addRadio

    public RadioButton addRadio(java.lang.String theName)

  Use radio buttons for multiple choice options.

### addRadio

    public RadioButton addRadio(java.lang.String theName,
                                int theX,
                                int theY)

### addRadioButton

    public RadioButton addRadioButton(java.lang.String theName)

  Use radio buttons for multiple choice options.

### addRadioButton

    public RadioButton addRadioButton(java.lang.String theName,
                                      int theX,
                                      int theY)

### addRange

    public Range addRange(java.lang.Object theObject,
                          java.lang.String theIndex,
                          java.lang.String theName,
                          float theMin,
                          float theMax,
                          float theDefaultMinValue,
                          float theDefaultMaxValue,
                          int theX,
                          int theY,
                          int theW,
                          int theH)

  A range controller, a slider that allows control on both ends of the slider.

### addRange

    public Range addRange(java.lang.Object theObject,
                          java.lang.String theIndex,
                          java.lang.String theName,
                          float theMin,
                          float theMax,
                          int theX,
                          int theY,
                          int theWidth,
                          int theHeight)

### addRange

    public Range addRange(java.lang.String theName)

### addRange

    public Range addRange(java.lang.String theName,
                          float theMin,
                          float theMax,
                          float theDefaultMinValue,
                          float theDefaultMaxValue,
                          int theX,
                          int theY,
                          int theW,
                          int theH)

### addRange

    public Range addRange(java.lang.String theName,
                          float theMin,
                          float theMax,
                          int theX,
                          int theY,
                          int theWidth,
                          int theHeight)

### addSlider

    public Slider addSlider(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName)

### addSlider

    public Slider addSlider(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theMin,
                            float theMax)

### addSlider

    public Slider addSlider(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theMin,
                            float theMax,
                            float theDefaultValue,
                            int theX,
                            int theY,
                            int theW,
                            int theH)

  Adds a slider to controlP5. by default it will be added to the default tab of the main window. Sliders can be arranged vertically and horizontally depending on their width and height. The look of a sliders control can either be a bar or a handle. you can add tickmarks to a slider or use the default free-control setting. A slider can be controller by mouse click, drag or mouse-wheel.

### addSlider

    public Slider addSlider(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theMin,
                            float theMax,
                            int theX,
                            int theY,
                            int theW,
                            int theH)

### addSlider

    public Slider addSlider(java.lang.String theName)

  Adds a default slider with a default width of 100 and height of 10. the default value range is from 0-100.

### addSlider

    public Slider addSlider(java.lang.String theName,
                            float theMin,
                            float theMax)

### addSlider

    public Slider addSlider(java.lang.String theName,
                            float theMin,
                            float theMax,
                            float theDefaultValue,
                            int theX,
                            int theY,
                            int theW,
                            int theH)

### addSlider

    public Slider addSlider(java.lang.String theName,
                            float theMin,
                            float theMax,
                            int theX,
                            int theY,
                            int theWidth,
                            int theHeight)

### addSlider2D

    public Slider2D addSlider2D(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                float theMinX,
                                float theMaxX,
                                float theMinY,
                                float theMaxY,
                                float theDefaultValueX,
                                float theDefaultValueY,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

  Adds a 2D slider to controlP5. A 2D slider is a 2D area with 1 cursor returning its xy coordinates.

### addSlider2D

    public Slider2D addSlider2D(java.lang.Object theObject,
                                java.lang.String theIndex,
                                java.lang.String theName,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

### addSlider2D

    public Slider2D addSlider2D(java.lang.String theName)

### addSlider2D

    public Slider2D addSlider2D(java.lang.String theName,
                                float theMinX,
                                float theMaxX,
                                float theMinY,
                                float theMaxY,
                                float theDefaultValueX,
                                float theDefaultValueY,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

### addSlider2D

    public Slider2D addSlider2D(java.lang.String theName,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

### addTab

    public Tab addTab(ControlWindow theWindow,
                      java.lang.String theName)

### addTab

    public Tab addTab(processing.core.PApplet theWindow,
                      java.lang.String theName)

### addTab

    public Tab addTab(java.lang.String theName)

### addTextarea

    public Textarea addTextarea(java.lang.String theName)

### addTextarea

    public Textarea addTextarea(java.lang.String theName,
                                java.lang.String theText,
                                int theX,
                                int theY,
                                int theW,
                                int theH)

  A Textarea is a label without any controller functionality and can be used to leave notes, headlines, etc when extending the dedicated area of the Textrea, a scrollbar is added on the right.

### addTextfield

    public Textfield addTextfield(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName)

### addTextfield

    public Textfield addTextfield(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

  A Textfield allows single line text input. If text goes beyond the edges of a Textfield box, the text will automatically scroll. Use Arrow keys to navigate back and forth.

### addTextfield

    public Textfield addTextfield(java.lang.String theIndex)

### addTextfield

    public Textfield addTextfield(java.lang.String theName,
                                  int theX,
                                  int theY,
                                  int theW,
                                  int theH)

### addTextlabel

    public Textlabel addTextlabel(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  java.lang.String theText)

### addTextlabel

    public Textlabel addTextlabel(java.lang.Object theObject,
                                  java.lang.String theIndex,
                                  java.lang.String theName,
                                  java.lang.String theText,
                                  int theX,
                                  int theY)

### addTextlabel

    public Textlabel addTextlabel(java.lang.String theName)

### addTextlabel

    public Textlabel addTextlabel(java.lang.String theName,
                                  java.lang.String theText)

### addTextlabel

    public Textlabel addTextlabel(java.lang.String theName,
                                  java.lang.String theText,
                                  int theX,
                                  int theY)

### addToggle

    public Toggle addToggle(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName)

### addToggle

    public Toggle addToggle(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            boolean theValue)

### addToggle

    public Toggle addToggle(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            boolean theDefaultValue,
                            float theX,
                            float theY,
                            int theWidth,
                            int theHeight)

### addToggle

    public Toggle addToggle(java.lang.Object theObject,
                            java.lang.String theIndex,
                            java.lang.String theName,
                            float theX,
                            float theY,
                            int theWidth,
                            int theHeight)

### addToggle

    public Toggle addToggle(java.lang.String theName)

  Adds a default Toggle, the default value is false, width and height are set to the default values of Toggle.autoWidth and Toggle.autoHeight

### addToggle

    public Toggle addToggle(java.lang.String theName,
                            boolean theValue)

### addToggle

    public Toggle addToggle(java.lang.String theName,
                            boolean theDefaultValue,
                            float theX,
                            float theY,
                            int theWidth,
                            int theHeight)

### addToggle

    public Toggle addToggle(java.lang.String theName,
                            float theX,
                            float theY,
                            int theWidth,
                            int theHeight)

### addTooltip

    public Tooltip addTooltip()

### getController

    public Controller getController(java.lang.String theName,
                                    java.lang.Object theObject)

### getDefaultTab

    public Tab getDefaultTab()

### getLayout

    public controlP5.ControllerLayout getLayout()

### getObjectForController

    public java.lang.Object getObjectForController(ControllerInterface theController)

### getProperties

    public ControllerProperties getProperties()

### getPublicMethodsFor

    public static java.util.Set getPublicMethodsFor(java.lang.Class theClass)

### getPublicMethodsFor

    public static java.util.Set getPublicMethodsFor(java.lang.Class theClass,
                                                    boolean theFlag)

### getPublicMethodsFor

    public static java.util.Set getPublicMethodsFor(java.lang.Class theClass,
                                                    boolean isSuperclass,
                                                    java.lang.String[] thePattern)

### getPublicMethodsFor

    public static java.util.Set getPublicMethodsFor(java.lang.Class theClass,
                                                    java.lang.String[] thePattern)

### getTextlabel

    public Textlabel getTextlabel()

### getTextlabel

    public Textlabel getTextlabel(java.lang.String theText,
                                  int theX,
                                  int theY)

### hide

    public ControlP5Base hide(java.lang.Object theObject)

### listenTo

    public ControlP5Base listenTo(java.lang.String theFieldName,
                                  java.lang.Object theObject)

### mapKeyFor

    public ControlP5 mapKeyFor(ControlKey theKey,
                               int[] theChar)

### moveTo

    public ControlP5Base moveTo(ControllerGroup theController,
                                java.lang.Object theObject)

### printPublicMethodsFor

    public static void printPublicMethodsFor(java.lang.Class theClass)

### printPublicMethodsFor

    public static void printPublicMethodsFor(java.lang.Class theClass,
                                             java.lang.String[] thePattern)

  prints a list of public methods of requested class into the console. You can specify patterns that will print methods found with only these particular patterns in their name.

  printed Format: returnType methodName(parameter type)

### remove

    public ControlP5Base remove(java.lang.Object theObject)

### removeKeyFor

    public ControlP5 removeKeyFor(ControlKey theKey,
                                  int[] theChar)

### removeKeysFor

    public ControlP5 removeKeysFor(int[] theChar)

### removeProperty

    public void removeProperty(ControllerInterface theController)

### setAutoAddDirection

    public void setAutoAddDirection(int theDirection)

### setAutoSpacing

    public void setAutoSpacing()

### setAutoSpacing

    public void setAutoSpacing(float theX)

### setAutoSpacing

    public void setAutoSpacing(float theX,
                               float theY)

### setAutoSpacing

    public void setAutoSpacing(float theX,
                               float theY,
                               float theZ)

### setColor

    public ControlP5Base setColor(CColor theColor,
                                  java.lang.Object theObject)

### setPosition

    public ControlP5Base setPosition(int theX,
                                     int theY,
                                     java.lang.Object o)

### show

    public ControlP5Base show(java.lang.Object theObject)

### stopListeningTo

    public ControlP5Base stopListeningTo(java.lang.String theFieldName,
                                         java.lang.Object theObject)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012